Name: smtprelay
Version: 0.4
Release: 1
Group: Utilities/System
URL: http://summersoft.fay.ar.us/pub/qmail/smtprelay
Copyright: GPL
Source0: http://summersoft.fay.ar.us/pub/qmail/smtprelay/smtprelay-%{version}.tar.gz
Summary: Temporarily allows POP/IMAP clients to relay mail.
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}
Packager: david@summersoft.fay.ar.us
Vendor: Summersoft
%description
Allows POP/IMAP clients to temporarily relay mail through the QMAIL mail server.

%changelog
* Mon Aug 19 2002 David Summers <david@summersoft.fay.ar.us> 0.4-1
- Fixed to not allow a 0 length file.
- Fixed to create a ".new" temporary file.
- Fixed to execute TCPRULES for CDB files.
- Fixed package to check for hosts.allow, tcp.smtp, and tcp.cdb files to
  put into /etc/smtprelay directory for user "wrappers".

* Fri Jul 12 2002 David Summers <david@summersoft.fay.ar.us> 0.3-1
- Fixed documentation to match changes to command line parameters and USAGE
  statement.
- Added autogen.sh.

* Wed Jul 10 2002 David Summers <david@summersoft.fay.ar.us> 0.2-1
- Changed to write out to a new file and then rename it rather than writing
  out to the old file which might be in use at the same time.
  This also requires that the program we able to write into the directory
  so we create a new /etc/smtprelay directory and move the /etc/hosts.allow
  file tautogen.shthen symlink to it from /etc/hosts.allow.
- Changed option from -s (SMTP mode) to -n (No-Insert mode).
- Fixed to take into account IPV6 addresses.

%prep
%setup -q

sh ./autogen.sh

%build
make

%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin

cp smtprelay $RPM_BUILD_ROOT/usr/sbin

%pre
# Pre-install script
# Set up wrappers group.
# Only if this is the first (and only) install.
if [ "$1"x = "1"x ]; then
   /usr/sbin/useradd -M -r wrappers
fi

%post
# Post install script.
ETCDIR="/etc"
SMTPDIR="/etc/smtprelay"

for FILENAME in "hosts.allow" "tcp.smtp" "tcp.smtp.cdb"
do
if [ "$1"x = "1"x -a -f $ETCDIR/$FILENAME -a ! -f $SMTPDIR/$FILENAME ]; then
   /bin/chown wrappers:wrappers $ETCDIR/$FILENAME
   /bin/chmod ug+rw $ETCDIR/$FILENAME
   /bin/mkdir -p $SMTPDIR
   /bin/chown wrappers:wrappers $SMTPDIR
   /bin/chmod ug+rws $SMTPDIR
   /bin/mv $ETCDIR/$FILENAME $SMTPDIR
   /bin/ln -s $SMTPDIR/$FILENAME $ETCDIR/$FILENAME
fi
done

%preun
# Pre-uninstall script
ETCDIR="/etc"
SMTPDIR="/etc/smtprelay"

for FILENAME in "hosts.allow" "tcp.smtp" "tcp.smtp.cdb"
do
if [ "$1"x = "0"x -a -f $ETCDIR/$FILENAME -a -f $SMTPDIR/$FILENAME ]; then
   if [ -h $ETCDIR/$FILENAME -a -d $SMTPDIR ]; then
      /bin/rm $ETCDIR/$FILENAME
      /bin/mv $SMTPDIR/$FILENAME $ETCDIR/$FILENAME
      /bin/rmdir $SMTPDIR --ignore-fail-on-non-empty
   fi
   /bin/chown root:root $ETCDIR/$FILENAME
   /bin/chmod g-w $ETCDIR/$FILENAME
fi
done

%postun
# Post-uninstall script
# Get rid of wrappers group.
# Only if this is the last installed package instance.
if [ "$1"x = "0"x ]; then
   /usr/sbin/userdel wrappers
fi

%clean
# Clean up after compiling and installing.
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%attr(06755,wrappers,wrappers) /usr/sbin/smtprelay
